[project]
name = "cvth3pe"
version = "0.1.0"
description = "Implementation-of-Cross-View-Tracking-for-Multi-Human-3D-Pose-Estimation-at-over-100-FPS"
readme = "README.md"
requires-python = ">=3.10"
dependencies = [
    "anyio>=4.8.0",
    "awkward>=2.7.4",
    "cvxopt>=1.3.2",
    "jax[cuda12]>=0.5.1",
    "jaxtyping>=0.2.38",
    "opencv-contrib-python-headless>=4.11.0.86",
    "orjson>=3.10.15",
    "torch>=2.6.0",
    "torchvision>=0.21.0",
    "typeguard>=4.4.2",
]

[dependency-groups]
dev = [
    "jupyter>=1.1.1",
]
